## com.puppycrawl.tools.checkstyle.checks.indentation
Class ObjectBlockHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
              com.puppycrawl.tools.checkstyle.checks.indentation.ObjectBlockHandler

    public class ObjectBlockHandler

extends BlockParentHandler

Handler for inner classes.

Author:
  jrichard

Constructor Summary
`ObjectBlockHandler(IndentationCheck aIndentCheck, DetailAST aAst, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`void` `checkIndentation()` Check the indentation of the expression we are handling.
`protected DetailAST` `getLCurly()` Get the left curly brace portion of the expression we are handling.
`protected IndentLevel` `getLevelImpl()` Compute the indentation amount for this handler.
`protected DetailAST` `getListChild()` Get the child element representing the list of statements.
`protected DetailAST` `getRCurly()` Get the right curly brace portion of the expression we are handling.
`protected DetailAST` `getToplevelAST()` Get the top level expression being managed by this handler.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
`checkLCurly, checkRCurly, checkToplevelToken, childrenMayNest, getCheckedChildren, getChildrenExpectedLevel, getLParen, getNonlistChild, getRParen, hasCurlys, rcurlyMustStart, suggestedChildLevel, toplevelMustStartLine`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectBlockHandler

    public ObjectBlockHandler(IndentationCheck aIndentCheck,
                              DetailAST aAst,
                              ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aAst` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### getToplevelAST

    protected DetailAST getToplevelAST()

  Description copied from class: `BlockParentHandler`
  Get the top level expression being managed by this handler.

  Overrides:
    `getToplevelAST` in class `BlockParentHandler`
  Returns:
    the top level expression

### getLCurly

    protected DetailAST getLCurly()

  Description copied from class: `BlockParentHandler`
  Get the left curly brace portion of the expression we are handling.

  Overrides:
    `getLCurly` in class `BlockParentHandler`
  Returns:
    the left curly brace expression

### getRCurly

    protected DetailAST getRCurly()

  Description copied from class: `BlockParentHandler`
  Get the right curly brace portion of the expression we are handling.

  Overrides:
    `getRCurly` in class `BlockParentHandler`
  Returns:
    the right curly brace expression

### getListChild

    protected DetailAST getListChild()

  Description copied from class: `BlockParentHandler`
  Get the child element representing the list of statements.

  Overrides:
    `getListChild` in class `BlockParentHandler`
  Returns:
    the statement list child

### getLevelImpl

    protected IndentLevel getLevelImpl()

  Description copied from class: `ExpressionHandler`
  Compute the indentation amount for this handler.

  Overrides:
    `getLevelImpl` in class `ExpressionHandler`
  Returns:
    the expected indentation amount

### checkIndentation

    public void checkIndentation()

  Description copied from class: `ExpressionHandler`
  Check the indentation of the expression we are handling.

  Overrides:
    `checkIndentation` in class `BlockParentHandler`

Copyright © 2001-2011. All Rights Reserved.